Skip to main content
GET
C#
This endpoint requires the buyers.read scope. The buyers.billing-details.read scope is needed to see all personally identifiable information.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-gr4vy-merchant-account-id
string | null

The ID of the merchant account to use for this request.

Example:

"default"

Path Parameters

buyer_id
string<uuid>
required

The ID of the buyer to retrieve.

Example:

"fe26475d-ec3e-4884-9553-f7356683f7f9"

Response

Successful Response

id
string<uuid>
required

The ID for the buyer.

Example:

"fe26475d-ec3e-4884-9553-f7356683f7f9"

reconciliation_id
string
required

The base62 encoded buyer ID. This represents a shorter version of this buyer's id which is sent to payment services, anti-fraud services, and other connectors. You can use this ID to reconcile a payment service's buyer against our system.

Example:

"7jZXl4gBUNl0CnaLEnfXbt"

merchant_account_id
string
required

The ID of the merchant account this buyer belongs to.

Example:

"default"

created_at
string<date-time>
required

The date this buyer was created at.

Example:

"2013-07-16T19:23:00.000+00:00"

updated_at
string<date-time>
required

The date this buyer was last updated at.

Example:

"2013-07-16T19:23:00.000+00:00"

type
string
default:buyer

Always buyer.

Allowed value: "buyer"
Example:

"buyer"

display_name
string | null

The display name for the buyer.

Required string length: 1 - 200
Example:

"John Doe"

external_identifier
string | null

The merchant identifier for this buyer.

Required string length: 1 - 200
Example:

"buyer-12345"

billing_details
BillingDetails · object | null

The billing name, address, email, and other fields for this buyer.

account_number
string | null

The buyer account number

Required string length: 1 - 200